*{
    margin:0;
    padding:0;
    box-sizing: border-box;
    text-decoration:none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: -apple-system sans-serif;
}

:root{
    --bg-color: #fff;
    --snd-bg-color: #d5e4fd9b;
    --text-color: #000;
    --text-normal-color: #5d5d5d;
    --code-color: #007f73;
    --main-color: #569CD6;
    --bg-foto: #4692da;
    
}

html{
    font-size: 62.5%;
    overflow-x: hidden;
}

body{
   /* display:flex;
    justify-content: center; */
    background: var(--bg-color);
    color:var(--text-color);

}

/*Precarga invisible*/
body::before {
    content: 
        url("../img/icon/linkedin-white.svg")
        url("../img/icon/whatsapp-white.svg")
        url("../img/icon/facebook-white.svg")
        url("../img/icon/tiktok-white.svg");
    position: absolute;
    width: 0;
    height: 0;
    overflow: hidden;
    visibility: hidden;
}

section{
   /* max-width: 1200px;
    width: 100%; */
    min-height: 100vh;
    padding: 10rem 9% 2rem;
}

    /*header section code*/

header{
    position: fixed;
    width: 100%;
    top: 0;
    right: 0;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 2rem 5%;
    background: var(--main-color);
    backdrop-filter: blur(10px);
    transition: all 0.5s ease;
}

.logo{
    font-size: 3rem;
    color: var(--bg-color);
    font-weight: 700;
    cursor: pointer;
    transition: 0.3s ease;
}

.logo:hover{
    transform: scale(1.05);
}

.navbar a{
    font-size: 1.9rem;
    color: var(--bg-color);
    margin-left: 4rem;
    font-weight: 700;
    transition: 0.3s ease;
}

.navbar a:hover,
.navbar a.active{
    color: var(--text-color)
}

#menu-icon{
    display:none;
    font-size: 3.6rem;
    cursor:pointer;
    /*color: var()*/
}

.home{
    display: flex;
    justify-content: center;
    align-items: center;
    
}

.home-img img{
    width: 25vw;
    border-radius: 50%;
    box-shadow: 0 0 25px var(--main-color);
    cursor: pointer;
    animation: floatImage 4s ease-in-out infinite;
    transition: 0.4s ease;
}

.home-img img:hover{
    box-shadow: 0 0 25px var(--main-color),
                0 0 35px var(--main-color),
                0 0 45px var(--main-color);
}

@keyframes floatImage{
    0% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(-2rem);
    }
    100% {
        transform: translateY(0);
    }
}

.home-content{
    margin-left: 5rem;
}

.home-content h3{
    font-size: 3.6rem;
    font-weight: 700;
    color:var(--text-normal-color);
}

.home-content h3:nth-of-type(2){
    margin-bottom: 2rem;
}

span{
    color: var(--code-color);
}

.home-content h1{
    font-size: 5.5rem;
    font-weight: 700;
    line-height: 1.3;
}

.home-content p{
    font-size: 1.7rem;
}

.social-media a{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 42px;
    height: 42px;
    border: 0.2rem solid var(--code-color);
    border-radius: 50%;
    color: var(--code-color);
    margin: 3rem 1.5rem 3rem 0;
    transition: 0.3s ease;
}

.social-media a:hover{
    transform: scale(1.2) translateY(-10px);
    box-shadow: 0 0 1.6rem var(--code-color);
    background-color: var(--code-color);
}

.bx1-linkedin::after{
    content: url("../img/icon/linkedin-green.svg");
}

.bx1-linkedin:hover::after{
    content: url("../img/icon/linkedin-white.svg");
}

.bx1-whatsapp::after{
    content: url("../img/icon/whatsapp-green.svg");
}

.bx1-whatsapp:hover::after{
    content: url("../img/icon/whatsapp-white.svg");
}

.bx1-facebook::after{
    content: url("../img/icon/facebook-green.svg");
}

.bx1-facebook:hover::after{
    content: url("../img/icon/facebook-white.svg");
}

.bx1-tiktok::after{
    content: url("../img/icon/tiktok-green.svg");
}

.bx1-tiktok:hover::after{
    content: url("../img/icon/tiktok-white.svg");
}

.btn{
    display: inline-block;
    padding: 1rem 2.8rem;
    background: var(--code-color);
    border-radius: 4rem;
    box-shadow: none;
    font-size: 1.6rem;
    color: var(--bg-color);
    letter-spacing: 0.1rem;
    font-weight: 600;
    cursor: pointer;
    transition: 0.3s ease;
}

.btn:hover{
    box-shadow: 0 0 1.6rem var(--code-color);
}


/*About section code*/

.about{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2rem;
    background: var(--snd-bg-color);
}

.about img{
    width: 25vw;
    border: 2px solid var(--main-color);
    border-radius: 50%;
    box-shadow: 0 0 25px var(--main-color);
    cursor: pointer;
    transition: 0.4s ease;
}

.about img:hover{
    box-shadow: 0 0 25px var(--main-color),
                0 0 35px var(--main-color),
                0 0 45px var(--main-color);    
}

.heading{
    font-size: 5.5rem;
    text-align: center;
}

.about-content{
    padding: 0 4rem;
}

.about-content h2{
    text-align: left;
    line-height: 1.3;
}

.about-content h3{
    font-size: 3.7rem;
    color:var(--text-normal-color);
}

.about-content {
    font-size: 1.6rem;
    padding: 2rem 0 3rem;
}

.about-content p{
    font-size: 1.7rem;
    margin-bottom: 2rem; 
}


/*Services section code*/

.services{
    padding: 2rem 9% 1rem;
}

.services h2{
    margin-bottom: 3rem;
}

.services-container{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 2rem;
}

.services-container .services-box{
    flex: 1 1 30rem;
    background: var(--snd-bg-color);
    padding: 6rem 2rem 6rem;
    border-radius: 2rem;
    text-align: center;
    border: 0.3rem solid var(--bg-color);
    transition: 0.3s ease;
}

.services-container .services-box:hover{
    border-color: var(--main-color);
    transform: scale(1.02);
}

.services-box h3{
    font-size: 2.6rem;
}
.services-box p{
    font-size: 1.6rem;
    margin: 1rem 0 3rem;
}


/*Testimonial Section Code*/

.testimonial{
    background: var(--snd-bg-color);
    padding: 2rem 9% 1rem;;
}

.testimonial-box{
    background-size: cover;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.testimonial-box img{
    width: 15rem;
    border-radius: 50%;
    border: 3px solid var(--main-color);
    box-shadow: 0 0 25px var(--main-color);
}

.wrapper{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap:3rem;
    padding: 2rem 0rem 3rem;
}

.testimonial-item{
/*  min-height: 450px;
    max-width: 450px;  */
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    background: var(--bg-color);
    border: 0.3rem solid var(--bg-color);
    border-radius: 2rem;
/*    margin: 0 2rem;       */
/*    padding: 20px 20px;  */
    padding: 6rem 2rem 6rem;
    cursor: pointer;
/*  gap: 1.5rem;*/
    color: var(--text-color);
    transition: 0.3s ease;
}

.testimonial-item:hover{
    border-color: var(--main-color);
    transform: scale(1.02);
}

.testimonial-item h2{
    font-size: 3rem;
}

.testimonial-item p{
    font-size: 1.5rem;
    text-align: center;
}

.rating{
    display: flex;
}

.rating-3::after{
    content: url("../img/icon/star.svg");
}

.rating-1::after{
    content: url("../img/icon/star-half-full.svg");
}

.rating-0::after{
    content: url("../img/icon/star-outline.svg");
}


/*Contact Section code*/

.contact{
    background: var(--bg-color);
}

.contact h2{
    margin-bottom: 2rem;
    /*color: var(--main-color);*/
}

.contact form{
    max-width: 80rem;
    margin: 1rem auto;
    text-align: center;
    margin-bottom: 3rem;
}

.contact form .input-box{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.contact form .input-box input,
.contact form textarea{
    width: 100%;
    padding: 1.5rem;
    font-weight: 1.6;
    color: var(--text-color);
    background: var(--bg-color);
    border-radius: 0.8rem;
    border: 0.25rem solid var(--code-color);
    margin: 0.7rem 0;
    resize: none;
}

.contact form .input-box input{
    width: 49.11%;
    margin: 0.7rem 0.35rem;
}

.contact form .btn{
    margin-top: 2rem;
}


/*Footer Section code*/

.footer {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    position: relative;
    bottom: 0;
    width: 100%;
    padding: 40px 0;
    background-color: var(--snd-bg-color);
}

.futer{
    display:flex;
    justify-content: center;
    align-items: center;
    margin: 0.5rem 0.5rem 2rem 2rem;
}

.footer .copyright{
    margin-top: 25px;
    text-align: center;
    font-size: 16px;
    color: var(--text-color);
}

/* Responsiv Disign Code*/

@media (max-width: 1200px){
    html{
        font-size: 55%;
    }
}

@media (max-width: 991px){
    .header{
        padding: 2rem 3%;
    }
    .section{
        padding: 10rem 3%;
    }
    .services{
        padding: 7rem;
    }
    .testimonial .wrapper{
        grid-template-columns: repeat(1,1fr)
    }
    .contact form .input-box input{
        width: 100%;
    }
    .footer{
        padding: 2rem 3%;
    }
}

@media (max-width: 991px){
    #menu-icon{
        display: block;
    }
    .navbar{
        position: absolute;  
        top: 100%;     
    }
    .navbar{
        position: absolute;
        top: 100%;
        right: -100%;
        width: 255px;
        min-height: 100vh;
        display: flex;
        flex-direction: column;
        background: var(--main-color);
        transition: all 0.3s ease;
        backdrop-filter: blur(10px);
    }
    .navbar a{
        display: block;
        padding: 17px;
        font-size: 22px;
    }
    .navbar.active{
        right: 0;

    }
    .home{
        flex-direction: column;
    }
    .home-content h3{
        font-size: 2.5rem;
    }
    .home-content h1{
        font-size: 5rem;
    }
    .home-content{
        order: 2;
        margin-left: 1rem;
    }
    .home-img img{
        width: 70vw;
        margin-top: 4rem;
    }
    
    .about{
        flex-direction: column-reverse;
    }
    .about-img img{
        width: 70vw;
        margin-top: 4rem;
    }
    .services h2{
        margin-top: 3rem;
    }
}

@media (max-width: 617px){
    .home-img img{
        width: 70vw;
        margin-top: 8rem;
    }
    .about-img img{
        width: 70vw;
        margin-top: 4rem;
    }
    
}

@media (max-width: 617px){
    html{
        font-size: 50%;
    }
}